<?php

require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "pattern")
    $pattern = $paramValue;
}

$dal = new DAL();
$sql = "SELECT id, " .
       "(CASE WHEN " .
         "(LENGTH(surname) < 10 && LENGTH(firstname) < 10) " . 
           "THEN CONCAT(surname,', ',firstname) " . 
           "ELSE CONCAT(surname,', ',SUBSTRING(firstname,1,1)) " . 
       "END) AS hint " .
       "FROM contact " .
       "WHERE (surname LIKE '%$pattern%' OR firstname LIKE '%$pattern%') ";
$result = $dal->query($sql);

echo json_encode ($result);


